Subject: [Roll] in non-storing mode how do leaf nodes know where the root is?

From: Michael Richardson <[email-masked]>
Date: Sun, 03 Apr 2016 18:45:39 -0400

In Non-Storing mode DAOs are to be send unicast to the DODAG root.

It's always been unclear to me if the DODAGID must always be the IPv6 address
of the root, or if it can be an arbitrary (unique) 128-bit number. In storing
mode that works fine.

Am I missing something, or is the definition of the DODAGID in 6550 simply a
bit less specific than it should be?

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Ines Robles <[email-masked]>
Date: Mon, 4 Apr 2016 01:23:05 -0300

Hi,

> of the root, or if it can be an arbitrary (unique) 128-bit number. In

I think, as long as it fulfills this, it should be ok, right?

DODAGID: ....The DODAGID MUST be a routable IPv6 address...

> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll
>
>

---

From: Michael Richardson <[email-masked]>
Date: Mon, 04 Apr 2016 08:33:14 -0400

> DODAGID: ....The DODAGID MUST be a routable IPv6 address...

That definision is in 6.3.1, while the definition in section 2 says:

   DODAGID: A DODAGID is the identifier of a DODAG root.  The DODAGID is
         unique within the scope of a RPL Instance in the LLN.  The
         tuple (RPLInstanceID, DODAGID) uniquely identifies a DODAG.

I think that the second definition should be moved/copied to the top, and I
suggest an errata.

---

From: peter van der Stok <[email-masked]>
Date: Mon, 04 Apr 2016 14:37:07 +0200

>     > of the root, or if it can be an arbitrary (unique) 128-bit 
> number.
>     > In storing
>     > mode that works fine.
> 
According to me, that does not solve your original question,
moving up and merging the two definitions does.

Peter

---

From: Ines Robles <[email-masked]>
Date: Mon, 4 Apr 2016 11:19:35 -0300

> So, the merging (taking in consideration definition in section 8 as well)
would be something like this:

DODAGID: 128-bit (Global or Unique Local ) IPv6 address  set by a DODAG
root that uniquely identifies a DODAG. The DODAGID MUST be a routable (1)
IPv6 address belonging to the DODAG root. A DODAGID is the identifier of a
DODAG root.  The DODAGID is unique within the scope of a RPL Instance in
the LLN.  The tuple (RPLInstanceID, DODAGID) uniquely identifies a DODAG.

(1)Unique Local They are not expected to be routable on the global
Internet.  They are routable inside of a more limited area such as a
site. They may also be routed between a limited set of sites [ RFC
4193]

Cheers,

Ines.

---

From: Michael Richardson <[email-masked]>
Date: Mon, 04 Apr 2016 10:29:12 -0400

> moving up and merging the two definitions does.

I think that's what I mean...

--
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        | network architect  [
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

---

From: Kerry Lynn <[email-masked]>
Date: Mon, 4 Apr 2016 12:20:45 -0400

On Mon, Apr 4, 2016 at 10:19 AM, Ines Robles <[email-masked]
> wrote:

> I think the first true definition is in section 5.1:

   The DODAGID used to configure the local RPLInstanceID MUST be

   a reachable IPv6 address of the node, and it MUST be used as

   an endpoint of all communications within that local instance.

Ines' proposed text is consistent with this (though more specific).

Kerry

> (1)Unique Local They are not expected to be routable on the global Internet.  They are routable inside of a more limited area such as a site. They may also be routed between a limited set of sites [ RFC 4193]
>
>
> Cheers,
>
> Ines.
>
>

---

From: Michael Richardson <[email-masked]>
Date: Mon, 04 Apr 2016 14:24:29 -0400

> Ines' proposed text is consistent with this (though more specific).

So, I've sent this in as errata on 6550.
I imagine it will hit the mailing list any minute.